Bug 612425 - [RFE] indefinite attempts to use bad credentials
Summary: [RFE] indefinite attempts to use bad credentials
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: wallaby-utils   
(Show other bugs)
Version: Development
Hardware: All
OS: Linux
low
low
Target Milestone: 1.3
: ---
Assignee: Will Benton
QA Contact: Lubos Trilety
URL:
Whiteboard:
Keywords: FutureFeature
Depends On: 620912
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-08 07:48 UTC by Lubos Trilety
Modified: 2010-10-20 11:32 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 620912 (view as bug list)
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lubos Trilety 2010-07-08 07:48:05 UTC
Description of problem:
Any of wallaby tools from package 'wallaby-utils' needs correct user login and password. Problem is when the bad credentials are used. The tool tries to use them indefinitely.

Version-Release number of selected component (if applicable):
wallaby-utils-0.6.1-2

How reproducible:
100%

Steps to Reproduce:
1. run wallaby-inventory with bad credentials
  
Actual results:
The tool attempts to use the bad credentials indefinitely
The tool repeat the same message over and over again
'warning Broker closed connection: 320, connection-forced: Authentication failed'

Expected results:
After three or defined number of attempts the tool stops running

Comment 1 Will Benton 2010-08-25 23:03:48 UTC
There is a workaround for this issue in 0.9.6; the tools will time out after 15 seconds if they cannot connect to a broker.

Comment 2 Lubos Trilety 2010-10-15 12:38:57 UTC
Tested with (version):
wallaby-utils-0.9.18-2.el5
ruby-wallaby-0.9.18-2.el5
condor-wallaby-base-db-1.4-5.el5
wallaby-0.9.18-2.el5

Tested on:
RHEL5 i386,x86_64  - passed

>>> VERIFIED


Note You need to log in before you can comment on or make changes to this bug.